Subject: Re: Recent wireless breakage (ipw2200, iwconfig, NetworkManager)

From: Adrian Bunk <[email-masked]>
Date: Mon, 5 Mar 2007 02:05:08 +0100

On Sun, Mar 04, 2007 at 04:45:25PM -0800, Andrew Morton wrote:
> On Sun, 4 Mar 2007 18:25:50 -0600 Matt Mackall <[email-masked]> wrote:
> 
> > On Mon, Mar 05, 2007 at 12:39:24AM +0100, Johannes Berg wrote:
> > > [adding linux-wireless to CC]
> > > 
> > > On Sun, 2007-03-04 at 16:08 -0600, Matt Mackall wrote:
> > > > Recent kernels are having troubles with wireless for me. Two seemingly
> > > > related problems:
> > > 
> > > I don't think they are related actually.
> > > 
> > > > a) NetworkManager seems oblivious to the existence of my IPW2200
> > > 
> > > This is due to the recent sysfs restructuring I think. IIRC the fix is
> > > to upgrade hal to a current git version.
> > 
> > If that's the cause, the fix is to back out whatever was done to break
> > userspace. Breaking userspace is not ok. Upgrading from 2.6.x to
> > 2.6.x+1 should not entail replacing substantial parts of userspace,
> > especially with NOT-EVEN-FRAKKING-RELEASED-YET CODE. 
> 
> yep.  Adrian, I think we should track this as a blocking regression, at
> least until we've fully understood the implications and had the usual
> arguments.

I'm currently tracking it as one of the 31 2.6.21-rc regressions that 
are not yet fixed in Linus' tree, and for me each of them is a blocker
until proven otherwise.

Whether Linus releases 2.6.21 despite blocking regressions is a 
different question...

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed